# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.aot.AotDetector
Modifier and Type
Constant Field
Value
`public static final String`
`AOT_ENABLED`
`"spring.aot.enabled"`

org.springframework.asm.ClassReader
Modifier and Type
Constant Field
Value
`public static final int`
`EXPAND_FRAMES`
`8`
`public static final int`
`SKIP_CODE`
`1`
`public static final int`
`SKIP_DEBUG`
`2`
`public static final int`
`SKIP_FRAMES`
`4`
org.springframework.asm.ClassWriter
Modifier and Type
Constant Field
Value
`public static final int`
`COMPUTE_FRAMES`
`2`
`public static final int`
`COMPUTE_MAXS`
`1`
org.springframework.asm.Opcodes
Modifier and Type
Constant Field
Value
`public static final int`
`AALOAD`
`50`
`public static final int`
`AASTORE`
`83`
`public static final int`
`ACC_ABSTRACT`
`1024`
`public static final int`
`ACC_ANNOTATION`
`8192`
`public static final int`
`ACC_BRIDGE`
`64`
`public static final int`
`ACC_DEPRECATED`
`131072`
`public static final int`
`ACC_ENUM`
`16384`
`public static final int`
`ACC_FINAL`
`16`
`public static final int`
`ACC_INTERFACE`
`512`
`public static final int`
`ACC_MANDATED`
`32768`
`public static final int`
`ACC_MODULE`
`32768`
`public static final int`
`ACC_NATIVE`
`256`
`public static final int`
`ACC_OPEN`
`32`
`public static final int`
`ACC_PRIVATE`
`2`
`public static final int`
`ACC_PROTECTED`
`4`
`public static final int`
`ACC_PUBLIC`
`1`
`public static final int`
`ACC_RECORD`
`65536`
`public static final int`
`ACC_STATIC`
`8`
`public static final int`
`ACC_STATIC_PHASE`
`64`
`public static final int`
`ACC_STRICT`
`2048`
`public static final int`
`ACC_SUPER`
`32`
`public static final int`
`ACC_SYNCHRONIZED`
`32`
`public static final int`
`ACC_SYNTHETIC`
`4096`
`public static final int`
`ACC_TRANSIENT`
`128`
`public static final int`
`ACC_TRANSITIVE`
`32`
`public static final int`
`ACC_VARARGS`
`128`
`public static final int`
`ACC_VOLATILE`
`64`
`public static final int`
`ACONST_NULL`
`1`
`public static final int`
`ALOAD`
`25`
`public static final int`
`ANEWARRAY`
`189`
`public static final int`
`ARETURN`
`176`
`public static final int`
`ARRAYLENGTH`
`190`
`public static final int`
`ASM10_EXPERIMENTAL`
`17432576`
`public static final int`
`ASM4`
`262144`
`public static final int`
`ASM5`
`327680`
`public static final int`
`ASM6`
`393216`
`public static final int`
`ASM7`
`458752`
`public static final int`
`ASM8`
`524288`
`public static final int`
`ASM9`
`589824`
`public static final int`
`ASTORE`
`58`
`public static final int`
`ATHROW`
`191`
`public static final int`
`BALOAD`
`51`
`public static final int`
`BASTORE`
`84`
`public static final int`
`BIPUSH`
`16`
`public static final int`
`CALOAD`
`52`
`public static final int`
`CASTORE`
`85`
`public static final int`
`CHECKCAST`
`192`
`public static final int`
`D2F`
`144`
`public static final int`
`D2I`
`142`
`public static final int`
`D2L`
`143`
`public static final int`
`DADD`
`99`
`public static final int`
`DALOAD`
`49`
`public static final int`
`DASTORE`
`82`
`public static final int`
`DCMPG`
`152`
`public static final int`
`DCMPL`
`151`
`public static final int`
`DCONST_0`
`14`
`public static final int`
`DCONST_1`
`15`
`public static final int`
`DDIV`
`111`
`public static final int`
`DLOAD`
`24`
`public static final int`
`DMUL`
`107`
`public static final int`
`DNEG`
`119`
`public static final int`
`DREM`
`115`
`public static final int`
`DRETURN`
`175`
`public static final int`
`DSTORE`
`57`
`public static final int`
`DSUB`
`103`
`public static final int`
`DUP`
`89`
`public static final int`
`DUP_X1`
`90`
`public static final int`
`DUP_X2`
`91`
`public static final int`
`DUP2`
`92`
`public static final int`
`DUP2_X1`
`93`
`public static final int`
`DUP2_X2`
`94`
`public static final int`
`F_APPEND`
`1`
`public static final int`
`F_CHOP`
`2`
`public static final int`
`F_FULL`
`0`
`public static final int`
`F_NEW`
`-1`
`public static final int`
`F_SAME`
`3`
`public static final int`
`F_SAME1`
`4`
`public static final int`
`F2D`
`141`
`public static final int`
`F2I`
`139`
`public static final int`
`F2L`
`140`
`public static final int`
`FADD`
`98`
`public static final int`
`FALOAD`
`48`
`public static final int`
`FASTORE`
`81`
`public static final int`
`FCMPG`
`150`
`public static final int`
`FCMPL`
`149`
`public static final int`
`FCONST_0`
`11`
`public static final int`
`FCONST_1`
`12`
`public static final int`
`FCONST_2`
`13`
`public static final int`
`FDIV`
`110`
`public static final int`
`FLOAD`
`23`
`public static final int`
`FMUL`
`106`
`public static final int`
`FNEG`
`118`
`public static final int`
`FREM`
`114`
`public static final int`
`FRETURN`
`174`
`public static final int`
`FSTORE`
`56`
`public static final int`
`FSUB`
`102`
`public static final int`
`GETFIELD`
`180`
`public static final int`
`GETSTATIC`
`178`
`public static final int`
`GOTO`
`167`
`public static final int`
`H_GETFIELD`
`1`
`public static final int`
`H_GETSTATIC`
`2`
`public static final int`
`H_INVOKEINTERFACE`
`9`
`public static final int`
`H_INVOKESPECIAL`
`7`
`public static final int`
`H_INVOKESTATIC`
`6`
`public static final int`
`H_INVOKEVIRTUAL`
`5`
`public static final int`
`H_NEWINVOKESPECIAL`
`8`
`public static final int`
`H_PUTFIELD`
`3`
`public static final int`
`H_PUTSTATIC`
`4`
`public static final int`
`I2B`
`145`
`public static final int`
`I2C`
`146`
`public static final int`
`I2D`
`135`
`public static final int`
`I2F`
`134`
`public static final int`
`I2L`
`133`
`public static final int`
`I2S`
`147`
`public static final int`
`IADD`
`96`
`public static final int`
`IALOAD`
`46`
`public static final int`
`IAND`
`126`
`public static final int`
`IASTORE`
`79`
`public static final int`
`ICONST_0`
`3`
`public static final int`
`ICONST_1`
`4`
`public static final int`
`ICONST_2`
`5`
`public static final int`
`ICONST_3`
`6`
`public static final int`
`ICONST_4`
`7`
`public static final int`
`ICONST_5`
`8`
`public static final int`
`ICONST_M1`
`2`
`public static final int`
`IDIV`
`108`
`public static final int`
`IF_ACMPEQ`
`165`
`public static final int`
`IF_ACMPNE`
`166`
`public static final int`
`IF_ICMPEQ`
`159`
`public static final int`
`IF_ICMPGE`
`162`
`public static final int`
`IF_ICMPGT`
`163`
`public static final int`
`IF_ICMPLE`
`164`
`public static final int`
`IF_ICMPLT`
`161`
`public static final int`
`IF_ICMPNE`
`160`
`public static final int`
`IFEQ`
`153`
`public static final int`
`IFGE`
`156`
`public static final int`
`IFGT`
`157`
`public static final int`
`IFLE`
`158`
`public static final int`
`IFLT`
`155`
`public static final int`
`IFNE`
`154`
`public static final int`
`IFNONNULL`
`199`
`public static final int`
`IFNULL`
`198`
`public static final int`
`IINC`
`132`
`public static final int`
`ILOAD`
`21`
`public static final int`
`IMUL`
`104`
`public static final int`
`INEG`
`116`
`public static final int`
`INSTANCEOF`
`193`
`public static final int`
`INVOKEDYNAMIC`
`186`
`public static final int`
`INVOKEINTERFACE`
`185`
`public static final int`
`INVOKESPECIAL`
`183`
`public static final int`
`INVOKESTATIC`
`184`
`public static final int`
`INVOKEVIRTUAL`
`182`
`public static final int`
`IOR`
`128`
`public static final int`
`IREM`
`112`
`public static final int`
`IRETURN`
`172`
`public static final int`
`ISHL`
`120`
`public static final int`
`ISHR`
`122`
`public static final int`
`ISTORE`
`54`
`public static final int`
`ISUB`
`100`
`public static final int`
`IUSHR`
`124`
`public static final int`
`IXOR`
`130`
`public static final int`
`JSR`
`168`
`public static final int`
`L2D`
`138`
`public static final int`
`L2F`
`137`
`public static final int`
`L2I`
`136`
`public static final int`
`LADD`
`97`
`public static final int`
`LALOAD`
`47`
`public static final int`
`LAND`
`127`
`public static final int`
`LASTORE`
`80`
`public static final int`
`LCMP`
`148`
`public static final int`
`LCONST_0`
`9`
`public static final int`
`LCONST_1`
`10`
`public static final int`
`LDC`
`18`
`public static final int`
`LDIV`
`109`
`public static final int`
`LLOAD`
`22`
`public static final int`
`LMUL`
`105`
`public static final int`
`LNEG`
`117`
`public static final int`
`LOOKUPSWITCH`
`171`
`public static final int`
`LOR`
`129`
`public static final int`
`LREM`
`113`
`public static final int`
`LRETURN`
`173`
`public static final int`
`LSHL`
`121`
`public static final int`
`LSHR`
`123`
`public static final int`
`LSTORE`
`55`
`public static final int`
`LSUB`
`101`
`public static final int`
`LUSHR`
`125`
`public static final int`
`LXOR`
`131`
`public static final int`
`MONITORENTER`
`194`
`public static final int`
`MONITOREXIT`
`195`
`public static final int`
`MULTIANEWARRAY`
`197`
`public static final int`
`NEW`
`187`
`public static final int`
`NEWARRAY`
`188`
`public static final int`
`NOP`
`0`
`public static final int`
`POP`
`87`
`public static final int`
`POP2`
`88`
`public static final int`
`PUTFIELD`
`181`
`public static final int`
`PUTSTATIC`
`179`
`public static final int`
`RET`
`169`
`public static final int`
`RETURN`
`177`
`public static final int`
`SALOAD`
`53`
`public static final int`
`SASTORE`
`86`
`public static final int`
`SIPUSH`
`17`
`public static final int`
`SOURCE_DEPRECATED`
`256`
`public static final int`
`SOURCE_MASK`
`256`
`public static final int`
`SWAP`
`95`
`public static final int`
`T_BOOLEAN`
`4`
`public static final int`
`T_BYTE`
`8`
`public static final int`
`T_CHAR`
`5`
`public static final int`
`T_DOUBLE`
`7`
`public static final int`
`T_FLOAT`
`6`
`public static final int`
`T_INT`
`10`
`public static final int`
`T_LONG`
`11`
`public static final int`
`T_SHORT`
`9`
`public static final int`
`TABLESWITCH`
`170`
`public static final int`
`V_PREVIEW`
`-65536`
`public static final int`
`V1_1`
`196653`
`public static final int`
`V1_2`
`46`
`public static final int`
`V1_3`
`47`
`public static final int`
`V1_4`
`48`
`public static final int`
`V1_5`
`49`
`public static final int`
`V1_6`
`50`
`public static final int`
`V1_7`
`51`
`public static final int`
`V1_8`
`52`
`public static final int`
`V10`
`54`
`public static final int`
`V11`
`55`
`public static final int`
`V12`
`56`
`public static final int`
`V13`
`57`
`public static final int`
`V14`
`58`
`public static final int`
`V15`
`59`
`public static final int`
`V16`
`60`
`public static final int`
`V17`
`61`
`public static final int`
`V18`
`62`
`public static final int`
`V19`
`63`
`public static final int`
`V20`
`64`
`public static final int`
`V21`
`65`
`public static final int`
`V22`
`66`
`public static final int`
`V23`
`67`
`public static final int`
`V24`
`68`
`public static final int`
`V25`
`69`
`public static final int`
`V26`
`70`
`public static final int`
`V27`
`71`
`public static final int`
`V9`
`53`
org.springframework.asm.SpringAsmInfo
Modifier and Type
Constant Field
Value
`public static final int`
`ASM_VERSION`
`17432576`
org.springframework.asm.Type
Modifier and Type
Constant Field
Value
`public static final int`
`ARRAY`
`9`
`public static final int`
`BOOLEAN`
`1`
`public static final int`
`BYTE`
`3`
`public static final int`
`CHAR`
`2`
`public static final int`
`DOUBLE`
`8`
`public static final int`
`FLOAT`
`6`
`public static final int`
`INT`
`5`
`public static final int`
`LONG`
`7`
`public static final int`
`METHOD`
`11`
`public static final int`
`OBJECT`
`10`
`public static final int`
`SHORT`
`4`
`public static final int`
`VOID`
`0`
org.springframework.asm.TypePath
Modifier and Type
Constant Field
Value
`public static final int`
`ARRAY_ELEMENT`
`0`
`public static final int`
`INNER_TYPE`
`1`
`public static final int`
`TYPE_ARGUMENT`
`3`
`public static final int`
`WILDCARD_BOUND`
`2`
org.springframework.asm.TypeReference
Modifier and Type
Constant Field
Value
`public static final int`
`CAST`
`71`
`public static final int`
`CLASS_EXTENDS`
`16`
`public static final int`
`CLASS_TYPE_PARAMETER`
`0`
`public static final int`
`CLASS_TYPE_PARAMETER_BOUND`
`17`
`public static final int`
`CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT`
`72`
`public static final int`
`CONSTRUCTOR_REFERENCE`
`69`
`public static final int`
`CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT`
`74`
`public static final int`
`EXCEPTION_PARAMETER`
`66`
`public static final int`
`FIELD`
`19`
`public static final int`
`INSTANCEOF`
`67`
`public static final int`
`LOCAL_VARIABLE`
`64`
`public static final int`
`METHOD_FORMAL_PARAMETER`
`22`
`public static final int`
`METHOD_INVOCATION_TYPE_ARGUMENT`
`73`
`public static final int`
`METHOD_RECEIVER`
`21`
`public static final int`
`METHOD_REFERENCE`
`70`
`public static final int`
`METHOD_REFERENCE_TYPE_ARGUMENT`
`75`
`public static final int`
`METHOD_RETURN`
`20`
`public static final int`
`METHOD_TYPE_PARAMETER`
`1`
`public static final int`
`METHOD_TYPE_PARAMETER_BOUND`
`18`
`public static final int`
`NEW`
`68`
`public static final int`
`RESOURCE_VARIABLE`
`65`
`public static final int`
`THROWS`
`23`

org.springframework.cglib.beans.BeanMap
Modifier and Type
Constant Field
Value
`public static final int`
`REQUIRE_GETTER`
`1`
`public static final int`
`REQUIRE_SETTER`
`2`

org.springframework.cglib.core.CodeEmitter
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`96`
`public static final int`
`AND`
`126`
`public static final int`
`DIV`
`108`
`public static final int`
`EQ`
`153`
`public static final int`
`GE`
`156`
`public static final int`
`GT`
`157`
`public static final int`
`LE`
`158`
`public static final int`
`LT`
`155`
`public static final int`
`MUL`
`104`
`public static final int`
`NE`
`154`
`public static final int`
`NEG`
`116`
`public static final int`
`OR`
`128`
`public static final int`
`REM`
`112`
`public static final int`
`SUB`
`100`
`public static final int`
`USHR`
`124`
`public static final int`
`XOR`
`130`
org.springframework.cglib.core.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`CONSTRUCTOR_NAME`
`"<init>"`
`public static final int`
`PRIVATE_FINAL_STATIC`
`26`
`public static final String`
`SOURCE_FILE`
`"<generated>"`
`public static final String`
`STATIC_NAME`
`"<clinit>"`
`public static final String`
`SUID_FIELD_NAME`
`"serialVersionUID"`
`public static final int`
`SWITCH_STYLE_HASH`
`1`
`public static final int`
`SWITCH_STYLE_HASHONLY`
`2`
`public static final int`
`SWITCH_STYLE_TRIE`
`0`
org.springframework.cglib.core.DebuggingClassWriter
Modifier and Type
Constant Field
Value
`public static final String`
`DEBUG_LOCATION_PROPERTY`
`"cglib.debugLocation"`

org.springframework.cglib.proxy.Mixin
Modifier and Type
Constant Field
Value
`public static final int`
`STYLE_BEANS`
`1`
`public static final int`
`STYLE_EVERYTHING`
`2`
`public static final int`
`STYLE_INTERFACES`
`0`

org.springframework.core.Ordered
Modifier and Type
Constant Field
Value
`public static final int`
`HIGHEST_PRECEDENCE`
`-2147483648`
`public static final int`
`LOWEST_PRECEDENCE`
`2147483647`

org.springframework.core.annotation.AnnotationUtils
Modifier and Type
Constant Field
Value
`public static final String`
`VALUE`
`"value"`
org.springframework.core.annotation.MergedAnnotation<A extends Annotation>
Modifier and Type
Constant Field
Value
`public static final String`
`VALUE`
`"value"`

org.springframework.core.codec.ResourceEncoder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`8192`
org.springframework.core.codec.ResourceRegionEncoder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`8192`

org.springframework.core.env.AbstractEnvironment
Modifier and Type
Constant Field
Value
`public static final String`
`ACTIVE_PROFILES_PROPERTY_NAME`
`"spring.profiles.active"`
`public static final String`
`DEFAULT_PROFILES_PROPERTY_NAME`
`"spring.profiles.default"`
`public static final String`
`IGNORE_GETENV_PROPERTY_NAME`
`"spring.getenv.ignore"`
`public static final String`
`RESERVED_DEFAULT_PROFILE_NAME`
`"default"`
org.springframework.core.env.AbstractPropertyResolver
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PLACEHOLDER_ESCAPE_CHARACTER_PROPERTY_NAME`
`"spring.placeholder.escapeCharacter.default"`
org.springframework.core.env.CommandLinePropertySource<T>
Modifier and Type
Constant Field
Value
`public static final String`
`COMMAND_LINE_PROPERTY_SOURCE_NAME`
`"commandLineArgs"`
`public static final String`
`DEFAULT_NON_OPTION_ARGS_PROPERTY_NAME`
`"nonOptionArgs"`
org.springframework.core.env.StandardEnvironment
Modifier and Type
Constant Field
Value
`public static final String`
`SYSTEM_ENVIRONMENT_PROPERTY_SOURCE_NAME`
`"systemEnvironment"`
`public static final String`
`SYSTEM_PROPERTIES_PROPERTY_SOURCE_NAME`
`"systemProperties"`

org.springframework.core.io.ResourceLoader
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSPATH_URL_PREFIX`
`"classpath:"`

org.springframework.core.io.buffer.DefaultDataBufferFactory
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_INITIAL_CAPACITY`
`256`

org.springframework.core.io.support.LocalizedResourceHelper
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SEPARATOR`
`"_"`
org.springframework.core.io.support.ResourcePatternResolver
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSPATH_ALL_URL_PREFIX`
`"classpath*:"`
org.springframework.core.io.support.SpringFactoriesLoader
Modifier and Type
Constant Field
Value
`public static final String`
`FACTORIES_RESOURCE_LOCATION`
`"META-INF/spring.factories"`

org.springframework.core.task.AsyncTaskExecutor
Modifier and Type
Constant Field
Value
`public static final long`
`TIMEOUT_IMMEDIATE`
`0L`
`public static final long`
`TIMEOUT_INDEFINITE`
`9223372036854775807L`
org.springframework.core.task.SimpleAsyncTaskExecutor
Modifier and Type
Constant Field
Value
`public static final int`
`NO_CONCURRENCY`
`0`
`public static final int`
`UNBOUNDED_CONCURRENCY`
`-1`

org.springframework.core.type.classreading.CachingMetadataReaderFactory
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CACHE_LIMIT`
`256`

org.springframework.objenesis.SpringObjenesis
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_OBJENESIS_PROPERTY_NAME`
`"spring.objenesis.ignore"`

org.springframework.util.AntPathMatcher
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PATH_SEPARATOR`
`"/"`
org.springframework.util.ClassUtils
Modifier and Type
Constant Field
Value
`public static final String`
`ARRAY_SUFFIX`
`"[]"`
`public static final String`
`CGLIB_CLASS_SEPARATOR`
`"$$"`
`public static final String`
`CLASS_FILE_SUFFIX`
`".class"`
org.springframework.util.ConcurrencyThrottleSupport
Modifier and Type
Constant Field
Value
`public static final int`
`NO_CONCURRENCY`
`0`
`public static final int`
`UNBOUNDED_CONCURRENCY`
`-1`
org.springframework.util.FileCopyUtils
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`8192`
org.springframework.util.MimeType
Modifier and Type
Constant Field
Value
`protected static final String`
`WILDCARD_TYPE`
`"*"`
org.springframework.util.MimeTypeUtils
Modifier and Type
Constant Field
Value
`public static final String`
`ALL_VALUE`
`"*/*"`
`public static final String`
`APPLICATION_GRAPHQL_VALUE`
`"application/graphql+json"`
`public static final String`
`APPLICATION_JSON_VALUE`
`"application/json"`
`public static final String`
`APPLICATION_OCTET_STREAM_VALUE`
`"application/octet-stream"`
`public static final String`
`APPLICATION_XML_VALUE`
`"application/xml"`
`public static final String`
`IMAGE_GIF_VALUE`
`"image/gif"`
`public static final String`
`IMAGE_JPEG_VALUE`
`"image/jpeg"`
`public static final String`
`IMAGE_PNG_VALUE`
`"image/png"`
`public static final String`
`TEXT_HTML_VALUE`
`"text/html"`
`public static final String`
`TEXT_PLAIN_VALUE`
`"text/plain"`
`public static final String`
`TEXT_XML_VALUE`
`"text/xml"`
org.springframework.util.ResourceUtils
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSPATH_URL_PREFIX`
`"classpath:"`
`public static final String`
`FILE_URL_PREFIX`
`"file:"`
`public static final String`
`JAR_FILE_EXTENSION`
`".jar"`
`public static final String`
`JAR_URL_PREFIX`
`"jar:"`
`public static final String`
`JAR_URL_SEPARATOR`
`"!/"`
`public static final String`
`URL_PROTOCOL_FILE`
`"file"`
`public static final String`
`URL_PROTOCOL_JAR`
`"jar"`
`public static final String`
`URL_PROTOCOL_VFS`
`"vfs"`
`public static final String`
`URL_PROTOCOL_VFSFILE`
`"vfsfile"`
`public static final String`
`URL_PROTOCOL_VFSZIP`
`"vfszip"`
`public static final String`
`URL_PROTOCOL_WAR`
`"war"`
`public static final String`
`URL_PROTOCOL_WSJAR`
`"wsjar"`
`public static final String`
`URL_PROTOCOL_ZIP`
`"zip"`
`public static final String`
`WAR_URL_PREFIX`
`"war:"`
`public static final String`
`WAR_URL_SEPARATOR`
`"*/"`
org.springframework.util.StreamUtils
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`8192`
org.springframework.util.SystemPropertyUtils
Modifier and Type
Constant Field
Value
`public static final String`
`PLACEHOLDER_PREFIX`
`"${"`
`public static final String`
`PLACEHOLDER_SUFFIX`
`"}"`
`public static final String`
`VALUE_SEPARATOR`
`":"`

org.springframework.util.backoff.BackOffExecution
Modifier and Type
Constant Field
Value
`public static final long`
`STOP`
`-1L`
org.springframework.util.backoff.ExponentialBackOff
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_INITIAL_INTERVAL`
`2000L`
`public static final int`
`DEFAULT_MAX_ATTEMPTS`
`2147483647`
`public static final long`
`DEFAULT_MAX_ELAPSED_TIME`
`9223372036854775807L`
`public static final long`
`DEFAULT_MAX_INTERVAL`
`30000L`
`public static final double`
`DEFAULT_MULTIPLIER`
`1.5`
org.springframework.util.backoff.FixedBackOff
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_INTERVAL`
`5000L`
`public static final long`
`UNLIMITED_ATTEMPTS`
`9223372036854775807L`

org.springframework.util.xml.TransformerUtils
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_INDENT_AMOUNT`
`2`
org.springframework.util.xml.XmlValidationModeDetector
Modifier and Type
Constant Field
Value
`public static final int`
`VALIDATION_AUTO`
`1`
`public static final int`
`VALIDATION_DTD`
`2`
`public static final int`
`VALIDATION_NONE`
`0`
`public static final int`
`VALIDATION_XSD`
`3`